pub mod ax25;
pub mod hdlc;
pub mod iters;
pub mod stuffer;

use bitvec::prelude::*;

pub fn nrzi(data: &BitVec<u8, Msb0>) -> BitVec<u8, Msb0> {
    let mut out = BitVec::new();

    let mut cur = true;
    for b in data {
        if !b {
            cur = !cur;
        }

        out.push(cur);
    }

    out
}
